#include <psychlops.h>
using namespace Psychlops;

Psychlops::Rectangle rect1;
Psychlops::Color col1;

void psychlops_main() {

	Canvas sampleA(Canvas::fullscreen);
	rect1.set(1,100);
	for(int i=0;i<200;i++){
		col1.set((double)i/200);
		rect1.centering().shift((double)-1/2*200+i,0);
		rect1.draw(col1);
	}
	sampleA.flip();
	while(!Input::get(Keyboard::spc));
}   